<?php
/**
 * This is the entrypoint for the locrMAPS WordPress plugin.
 *
 * @package locrMAPS
 */

declare(strict_types=1);

namespace Locr\WordPress\Plugin\LocrMaps\DDD\ValueObjects\OnlineMap;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * This enum is responsible for the BorderType.
 */
enum BorderType: string {
	case None   = 'none';
	case Solid  = 'solid';
	case Shadow = 'shadow';

	/**
	 * This function gets the translated text.
	 */
	public function get_translated_text(): string {
		return match ( $this ) {
			self::None => __( 'None', 'locrmaps-textdomain' ),
			self::Solid => __( 'Solid', 'locrmaps-textdomain' ),
			self::Shadow => __( 'Shadow', 'locrmaps-textdomain' ),
		};
	}
}
